<div class="container" [ngClass]="{'animateNewOrder':  isNewOrder, 'disconnected': !isConnected}" fxLayout="column"
  fxLayoutAlign="space-between  space-around;" style="padding: 0px; overflow: hidden">
  <app-app-bar> </app-app-bar>

  <div fxLayout="row" fxLayoutAlign="space-between  space-around;" style="width:100%; height: 90px; padding:10px; ">
    <div fxLayout="column" fxLayoutAlign="center center" style="cursor: pointer" (click)="navigateTo('/')">
      <div style="position: relative; border-radius: 50%;padding: 10px;"
        [ngStyle]="{'background-color':router.url !== '/orders'?'rgba(255, 255, 255, 0.2)':'white'} ">
        <svg style="width: 26px;  height: 26px; " [ngStyle]="{'fill': router.url !== '/orders'?'white': '#26C281'}">
          <use xlink:href="assets/icons/b.svg#icon-command"></use>
        </svg>
        <span class="badge badge-success" *ngIf="state.getValue().orders.active_orders.length>0"
          style="position: absolute;  top:5px;">{{state.getValue().orders.active_orders.length}}</span>

      </div>
      <span style=" font-size:0.8em; color:white">{{ 'ORDERS' | translate }}</span>
    </div>

    <div fxLayout="column" fxLayoutAlign="center center" style="cursor: pointer" (click)="navigateTo('menu')">
      <div style="border-radius: 50%;padding: 10px;"
        [ngStyle]="{'background-color':router.url !== '/menu'?'rgba(255, 255, 255, 0.2)':'white'} ">
        <svg style="width: 26px;  height: 26px; " [ngStyle]="{'fill': router.url !== '/menu'?'white': '#26C281'}">
          <use xlink:href="assets/icons/g.svg#icon-menu"></use>
        </svg>
      </div>
      <span style=" font-size:0.8em; color:white">{{ 'MENU' | translate }}</span>

    </div>

    <div fxLayout="column" fxLayoutAlign="center center" style="cursor: pointer" (click)="navigateTo('orders-history')">
      <div style="border-radius: 50%;padding: 10px;"
        [ngStyle]="{'background-color':router.url !== '/orders-history'?'rgba(255, 255, 255, 0.2)':'white'} ">
        <svg style="width: 26px;  height: 26px; "
          [ngStyle]="{'fill': router.url !== '/orders-history'?'white': '#26C281'}">
          <use xlink:href="assets/icons/i.svg#icon-history"></use>
        </svg>
      </div>
      <span style=" font-size:0.8em; color:white">{{ 'HISTORY' | translate }}</span>
    </div>

    <!-- <div fxLayout="column" fxLayoutAlign="center center" (click)="navigateTo('aide')">
      <div style="border-radius: 50%;padding: 10px;"
        [ngStyle]="{'background-color':router.url !== '/aide'?'rgba(255, 255, 255, 0.2)':'white'} ">
        <svg style="width: 32px;  height: 32px; " [ngStyle]="{'fill': router.url !== '/aide'?'white': '#26C281'}">
          <use xlink:href="assets/icons/h.svg#icon-aide"></use>
        </svg>
      </div>
      <span style=" font-size:0.8em; color:white">Aide</span>
    </div> -->

    <div fxLayout="column" fxLayoutAlign="center center" style="cursor: pointer" (click)="navigateTo('parametres')">
      <div style="border-radius: 50%;padding: 10px;"
        [ngStyle]="{'background-color':(router.url !== '/parametres' && router.url !== '/menuSettings'  ) ?'rgba(255, 255, 255, 0.2)':'white'} ">
        <svg style="width: 26px;  height: 26px; "
          [ngStyle]="{'fill':  (router.url !== '/parametres' && router.url !== '/menuSettings')?'white': '#26C281'}">
          <use xlink:href="assets/icons/t.svg#Group_1701"></use>
        </svg>
      </div>
      <span style=" font-size:0.8em; color:white">{{ 'SETTINGS' | translate }}</span>

    </div>

  </div>

  <div fxLayout="column" fxFlex
    style="position: relative; width: 100%; max-height: 100%; overflow-y: auto; overflow-x: hidden; background-color: white">
    <div style=" z-index: 999; background-color: red; z-index: 999; text-align:center; color:white; padding: 5px;"
      *ngIf=" isConnected === false ">
      {{ 'CONNECTION_PROBLEM' | translate }}
    </div>
    <app-toasts aria-live="polite" style="position: absolute" aria-atomic="true"></app-toasts>

    <router-outlet></router-outlet>
  </div>

</div>



<ng-template #rejectModal let-rejModal>
  <div class="modal-header">
    <h5 class="modal-title">{{ 'REFUSING_RAISONS' | translate }}</h5>
  </div>
  <div class="modal-body" fxLayout="column" fxLayoutGap="15px" style="padding: 20px;">
    <div fxLayout="column" (click)="setRejectCause(0)" class="selectBox"
      [ngClass]="{'bgGreenSelected': refuseCause === 'Non disponible' }" fxLayoutAlign="center center">
      <b>{{ 'PRODUCT_NOT_AVAILABLE' | translate }}</b>
    </div>
    <div fxLayout="column" (click)="setRejectCause(1)" class="selectBox"
      [ngClass]="{'bgGreenSelected': refuseCause === 'Restaurant Surcharge'}" fxLayoutAlign="center center">
      <b>{{ 'OVERLOAD' | translate }}</b>
    </div>
  </div>
  <div class="modal-footer" style="position: relative; height: 110px">
    <ng-container *ngIf="showLoading === false">
      <button type="button" class="btn 'btn-light'" [disabled]="showLoading"
        (click)="rejectModal.close('Close click');  "><b>{{ 'RETURN' | translate }}</b></button>
      <button type="button" class="btn" [ngClass]="{'btn-sauvegarder': refuseCause, 'btn-light' : !refuseCause }"
        [disabled]="!refuseCause" (click)="rejectOrder()">
        <b>{{ 'CONFIRM' | translate }}</b></button>

    </ng-container>
    <div id="loader" *ngIf="showLoading === true"> </div>
  </div>
</ng-template>

<ng-template #nonDispoItems let-nonDispoItems>
  <div class="modal-header">
    <h5 class="modal-title">
      {{ 'CHOOSE_NOT_AVAILABLE_PRODUCT' | translate }}</h5>
  </div>
  <div class="modal-body" fxLayout="column" fxLayoutGap="15px" style="padding: 20px;">
    <form [formGroup]="formItems">
      <label class="checkBox" *ngFor="let item of  newOrder.items; let i = index">
        <span style="font-size: 0.8em; font-weight: bold; padding-bottom: 5px;">{{item?.title}}</span>
        <input type="checkbox" (change)="onCheckChange($event)" [value]="item.title">
        <span class="checkmark"> </span>
      </label>
    </form>
  </div>
  <div class="modal-footer" style="position: relative; height: 110px">
    <ng-container *ngIf="showLoading === false">
      <button type="button" class="btn 'btn-light'" [disabled]="showLoading"
        (click)="closeRejectModal(nonDispoItems)"><b>{{ 'RETURN' | translate }}</b></button>
      <button type="button" class="btn" [ngClass]="{'btn-sauvegarder': formItems.get('rejectedItems').value.length > 0,
               'btn-light' : formItems.get('rejectedItems').value.length === 0 }"
        [disabled]="formItems.get('rejectedItems').value.length === 0 " (click)="rejectItems()">
        <b>{{ 'CONFIRM' | translate }}</b></button>
    </ng-container>
    <div id="loader" *ngIf="showLoading === true"> </div>
  </div>
</ng-template>



<ng-template #content let-modal>
  <div id="scroll" style="max-height: 89vh; overflow-y: auto">
    <div class="modal-header" fxLayout="row" fxLayoutAlign="space-between center">
      <div style="float: right;" *ngIf="newOrder" fxLayout="row" fxLayoutGap="10px">
        <h5 style="float: right; font-weight: bolder; padding: 3px"> {{newOrder.order_code || '-' }}</h5>
        <h5 class="modal-title">{{newOrder.order_number.split('-')[0]}}</h5>

      </div>
      <button *ngIf="newOrder.status !=='confirmed'" class="btn btn-secondary"
        (click)="printRecip()">{{ 'PRINT' | translate }}</button>

    </div>

    <div class="modal-body" id="orderBody" #dd (click)="removeAlert(dd)"
      [ngClass]="{'animateNewOrder': targetType === 'new_order'}" fxLayout="column" fxLayoutGap="15px"
      style="scroll-behavior: smooth; padding: 20px;  ">
      <div fxLayout="row" fxLayoutAlign="space-between center" *ngIf="printing" style="text-align: left">
        <span>{{newOrder.created.date | date :'MM/dd/yy hh:mm:ss'}}</span>

        <span> <b> {{ 'Order_N' | translate }} {{newOrder.order_number.split('-')[0] }}</b> </span>
      </div>
      <div fxLayout="column" *ngIf="printing" style="text-align: center">
        <div>
          <img src="assets/images/fb.png" width="60px" height="60px">
        </div>
        <span><b>FoodBeeper</b></span>
      </div>

      <div fxLayout="row" *ngFor="let item of newOrder.items"
        style="border-bottom: 1px solid rgba(0, 0, 0, 0.2); padding-bottom: 10px" fxLayoutAlign="space-between center">
        <div> <b>{{item.quantity}} {{item.title}}</b>
          <div style="padding-left: 30px;"> {{item.description}}</div>
        </div>
        <div id="itemPrice"><b>{{item.price}} DA</b></div>
      </div>

      <div fxLayout="column" style="border-bottom: 1px solid rgba(0, 0, 0, 0.2) ; ">
        <span><b>{{ 'COMMENT' | translate }}</b></span>
        <p>{{newOrder.comment || ('AUCUN'| translate)}}</p>
      </div>

      <div fxLayout="row" style="border-bottom: 1px solid rgba(0, 0, 0, 0.2) ; padding-bottom: 20px"
        fxLayoutAlign="space-between center">
        <span><b>{{ 'TOTAL' | translate }}</b></span>
        <span><b>{{newOrder.store_price}} DA</b></span>
      </div>

      <div fxLayout="column" *ngIf="newOrder.status === 'confirmed'" fxLayoutAlign="space-between start"
        fxLayoutGap="15px">
        <span><b>{{ 'PREPARATION_TIME' | translate }}</b></span>


        <div fxLayout="row" style="width: 100%" fxLayoutAlign="space-around">
          <button type="button" class="btn"
            [ngClass]="{'btn-sauvegarder': selectedTime == 5 , 'btn-light' : selectedTime != 5}"
            (click)="setPreparationTime(5)"><b>5 {{ 'MINS' | translate }}</b></button>
          <button type="button" class="btn"
            [ngClass]="{'btn-sauvegarder': selectedTime == 10 , 'btn-light' : selectedTime != 10}"
            (click)="setPreparationTime(10)"><b>10 {{ 'MINS' | translate }}</b></button>
          <button type="button" class="btn"
            [ngClass]="{'btn-sauvegarder': selectedTime == 15, 'btn-light' : selectedTime != 15 }"
            (click)="setPreparationTime(15)"><b>15 {{ 'MINS' | translate }}</b></button>
        </div>
      </div>

      <div fxLayout="row" fxLayoutAlign="space-between center"
        *ngIf="newOrder?.delivery?.status === 'delivery_accepted'  ">
        <div>
          <label class="checkBox" *ngIf="newOrder.status === 'ready' ">
            <p>{{ 'ORDER_SET' | translate }}</p>
            <input *ngIf="!printing" type="checkbox" [(ngModel)]="orderChecked">
            <span class="checkmark"></span>
          </label>
        </div>

        <div fxLayout="row" fxLayoutGap="10px" fxLayoutAlign="center center">
          <span class="span-mrg">{{newOrder.delivery?.staff?.name}} </span>
          <img *ngIf="!printing" [src]="newOrder.delivery.staff.image"
            style="width: 50px; height: 50px; border-radius: 50%; border:1px solid #24d06d;" class="image_deliver_man">
        </div>
      </div>


    </div>
    <div class="modal-footer" style="padding: 25px;">
      <div fxLayout="row" style="position: relative" fxLayoutAlign="flex-end center" fxLayoutGap="20px"
        *ngIf="!shoLoading; else showLoadingEffect">
        <span style="cursor: pointer" (click)="handleModalClose(modal)"><b>
            {{newOrder.status === 'confirmed'?('REFUSE'| translate):('RETURN'| translate)}} </b></span>

        <button type="button" class="btn btn-sauvegarder"
          [disabled]="(newOrder.status === 'ready' && !orderChecked) || (selectedTime === -1 && newOrder.status === 'confirmed')"
          (click)="handleOrder()">
          {{submitBnText | translate }}
        </button>

      </div>
    </div>

  </div>


</ng-template>